# TestUtils (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.tests
Class TestUtils

    java.lang.Object
      org.newdawn.slick.tests.TestUtils

    public class TestUtils

extends java.lang.Object

A simple utility test to use the internal slick API without the slick framework.

Author:
  kevin

Constructor Summary
`TestUtils()`

Method Summary
`void` `init()` Initialise resources
`static void` `main(java.lang.String[] argv)` Entry point to the tests
`void` `render()` Game loop render
`void` `start()` Start the test
`void` `update()` Game loop update

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestUtils

    public TestUtils()

Method Detail

### start

    public void start()

  Start the test

### init

    public void init()

  Initialise resources

### update

    public void update()

  Game loop update

### render

    public void render()

  Game loop render

### main

    public static void main(java.lang.String[] argv)

  Entry point to the tests

  Parameters:
    `argv` - The arguments to the test

Copyright © 2006 New Dawn Software. All Rights Reserved.